Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dba.mysql
Class MySQLPkGenerator

    java.lang.Object
      org.objectstyle.cayenne.dba.JdbcPkGenerator
          org.objectstyle.cayenne.dba.mysql.MySQLPkGenerator

All Implemented Interfaces:
  PkGenerator

    public class MySQLPkGenerator

extends JdbcPkGenerator

Author:
  Andrei Adamchik

Field Summary

Fields inherited from class org.objectstyle.cayenne.dba.JdbcPkGenerator
`DEFAULT_PK_CACHE_SIZE, NEXT_ID, objDesc, pkCache, pkCacheSize, resultDesc`

Constructor Summary
`MySQLPkGenerator()`

Method Summary
`protected java.lang.String` | `dropAutoPkString()`
`protected int` | `getPrimaryKey(java.sql.Statement statement, java.lang.String entityName)`
`protected int` | `pkFromDatabase(DataNode node, DbEntity ent)` Overrides superclass's implementation to perform locking of the primary key lookup table.
`protected java.lang.String` | `pkTableCreateString()`
`protected java.sql.SQLException` | `processSQLException(java.sql.SQLException exception, java.sql.SQLException parent)` Appends a new SQLException to the chain.

Methods inherited from class org.objectstyle.cayenne.dba.JdbcPkGenerator
`autoPkTableExists, binaryPK, createAutoPk, createAutoPkStatements, dropAutoPk, dropAutoPkStatements, generatePkForDbEntity, generatePkForDbEntityString, getPkCacheSize, pkCreateString, pkDeleteString, pkSelectString, pkUpdateString, reset, runUpdate, setPkCacheSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySQLPkGenerator

    public MySQLPkGenerator()

Method Detail

### dropAutoPkString

    protected java.lang.String dropAutoPkString()

  Overrides:
    `dropAutoPkString` in class `JdbcPkGenerator`

### pkFromDatabase

    protected int pkFromDatabase(DataNode node,
                                 DbEntity ent)
                          throws java.lang.Exception

  Overrides superclass's implementation to perform locking of the primary key lookup table.

  Overrides:
    `pkFromDatabase` in class `JdbcPkGenerator`
  Throws:
    `java.lang.Exception`

### processSQLException

    protected java.sql.SQLException processSQLException(java.sql.SQLException exception,
                                                        java.sql.SQLException parent)

  Appends a new SQLException to the chain. If parent is null, uses the exception as the chain root.

### pkTableCreateString

    protected java.lang.String pkTableCreateString()

  Overrides:
    `pkTableCreateString` in class `JdbcPkGenerator`

### getPrimaryKey

    protected int getPrimaryKey(java.sql.Statement statement,
                                java.lang.String entityName)
                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.